Bug 25235 - Don't alert when replacing an authority record via Z39.50
Summary: Don't alert when replacing an authority record via Z39.50
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Authority data support (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Phil Ringnalda
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-22 04:30 UTC by Phil Ringnalda
Modified: 2020-05-14 22:20 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.06


Attachments
Bug 25235: Rename the button instead of alerting when replacing an existing record (3.44 KB, patch)
2020-04-22 04:52 UTC, Phil Ringnalda
Details | Diff | Splinter Review
Bug 25235: Rename the button instead of alerting when replacing an existing record (3.52 KB, patch)
2020-04-22 12:55 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25235: (follow-up) Shorten label and apply to addbiblio too (3.82 KB, patch)
2020-04-22 12:56 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25235: Rename the button instead of alerting when replacing an existing record (3.59 KB, patch)
2020-04-22 13:28 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Phil Ringnalda 2020-04-22 04:30:40 UTC
The authority version of bug 25231

From the details page for an authority record, we just have a menuitem that says "Replace record via Z39.50/SRU" without any followup modal alert, but if you edit the authority (which you do, of course, because the details page choice doesn't fill in a search term like the edit page does) then clicking the button brings up a modal alert to tell you what you already knew you were doing. Just changing the button label from "search" to "replace" depending on whether you are creating a new record or editing an existing one will be smoother.
Comment 1 Phil Ringnalda 2020-04-22 04:52:19 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2020-04-22 12:55:49 UTC
Created attachment 103472 [details] [review]
Bug 25235: Rename the button instead of alerting when replacing an existing record

Test plan:

Pre-patch
1 - Go to the main Authorities page, search for any authority, click
    the Actions menubutton and choose Edit
2 - Note the button saying Z39.50 search
3 - Note the modal alert forcing you to click it
4 - Cancel and cancel again, and in the New authority menubutton choose
    Default
5 - Click the button saying Z39.50 search again, note that it warns you
    about replacing your totally blank record

Apply this patch
6 - Edit an existing authority, note the button says "Replace record via
    Z39.50/SRU search"
2 - Click the button, verify it still opens the search window with the
    main entry of the record filled in without an alert
3 - Create a new authority, note the button says "Z39.50/SRU search"
4 - Click the button, verify it still opens the search window but
    without an alert

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Owen Leonard 2020-04-22 12:56:38 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2020-04-22 13:28:38 UTC
Created attachment 103476 [details] [review]
Bug 25235: Rename the button instead of alerting when replacing an existing record

Test plan:

Pre-patch
1 - Go to the main Authorities page, search for any authority, click
    the Actions menubutton and choose Edit
2 - Note the button saying Z39.50 search
3 - Note the modal alert forcing you to click it
4 - Cancel and cancel again, and in the New authority menubutton choose
    Default
5 - Click the button saying Z39.50 search again, note that it warns you
    about replacing your totally blank record

Apply this patch
6 - Edit an existing authority, note the button says "Replace record via
    Z39.50/SRU search"
2 - Click the button, verify it still opens the search window with the
    main entry of the record filled in without an alert
3 - Create a new authority, note the button says "Z39.50/SRU search"
4 - Click the button, verify it still opens the search window but
    without an alert

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Martin Renvoize 2020-04-27 10:55:26 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-05-08 21:56:45 UTC
backported to 19.11.x for 19.11.06
Comment 7 Lucas Gass 2020-05-14 22:20:01 UTC
enhancement will not be backported to 19.05.x